
/*
 * XMakefile.inc
 */

.set VERS 	3.4
/* .set SUBREV	STABLE-20011126-00 */
.set SUBREV	REL
.set DLIB	"$(BD)obj/libdiablo.a"
.set FLIB	"$(BD)obj/libfilter.a"
.set CDEFINES	'-DVERS="$(VERS)"' '-DSUBREV="$(SUBREV)"'
#if __GNUC__
.set CFLAGS	-g -O2 -Wall -Wstrict-prototypes "-I$(BD)" $(CDEFINES)
.set LSTATIC	-static
.set CC		gcc
#else
.set CFLAGS	-g -O "-I$(BD)." $(CDEFINES)
.set LSTATIC
.set CC		cc
#endif

.set LFLAGS	-L$(BD)obj -lfilter -ldiablo -lutil -lm
.set IDIR	/news
.set MDIR	/news/man
.set INSTALL	install

/*
 * Remove the -ldes entry if you don't have the crypto stuff installed
 */
#ifdef __FreeBSD__
.set LFLAGS	-L$(BD)obj -lfilter -ldiablo -lutil -lm -ldes -lmd -lradius -lz
#endif

#ifdef __hpux
.set LFLAGS	"-L$(BD)obj" -lfilter -ldiablo -lm
#endif

#ifdef __linux__
.set LFLAGS "-L$(BD)obj" -lfilter -ldiablo -lm
#endif

#ifdef sun
/*
 * some sun systems use -lsocket, some don't.  complain to sun
 *
 * Add -lldap to end of LFLAGS if you have LDAP_ENABLED
 */
.set LFLAGS	"-L$(BD)obj" -lfilter -ldiablo -lm -lnsl -lsocket -lposix4
/* .set CFLAGS	-g -xs -xtarget=ultra -xarch=v9 -O "-I$(BD)." $(CDEFINES) */
.set LSTATIC
.set INSTALL	/usr/ucb/install
#endif

.set DIST /news

