
/*
 * LIB/VENDOR.H
 *
 * This header file is available for you to specify custom parameters to
 * diablo.
 *
 * WARNING!  Diablo does not use make depend, so any changes you make to
 * this or any other header file should be followed by a complete
 * recompile.  e.g. 'xmake clean; xmake'
 */

/*
 * When posting an article, check validity of From: address.
 * Note that this may well disallow slightly unusual addresses 
 * that are quite valid.  It was designed to deal with a spammer
 * who liked to post with a variety of From: names like 
 * "sally@fuck.net".  This version understands things like the
 * .invalid TLD, although sanity checks are still done even on
 * a .invalid address.
 *
 * If you use this, check dreaderd/post-addr-ck.c to see if
 * the rules are valid for your purposes.  Should be easy to
 * modify.
 */

#undef	POST_CKADDRESS

/*
 * When posting an article, scan the submitted article for this
 * path element.  If it exists, reject the article.  This also
 * turns on some other checks to try to prevent people from
 * POST'ing articles that they fetched from Usenet back into you.
 */

/* #define POST_CKPATHLOOP "!news.site.com!" */

#undef	POST_CKPATHLOOP

/*
 * When posting an article, force the rewrite of the Message-ID:.
 * YOU MUST USE POST_CKPATHLOOP WITH THIS OPTION, TO AVOID ENDLESS
 * REPOST LOOPS.  This option is controversial, but allows you to
 * do some neat things like restrict cancel messages to Message-ID's
 * generated by your site.
 */

#undef	POST_FORCEMSGID

/*
 * When posting an article, clean up non- or obsolete Usenet
 * headers.
 */

#undef	POST_BOFHCLEANUP

/*
 * When posting a cancel, verify that the original message came from
 * this system.  Requires POST_FORCEMSGID.  Also prevents Supersedes
 * attacks.
 */

#undef	POST_RESTRICTCANCEL

/*
 * When posting a message, encode the NNTP posting host through a one-
 * way function.  This protects your users from being ping-flooded,
 * etc., but permits the identification of posts coming from the same
 * node within a short period of time.  Highly recommended.
 */

#undef	POST_HIDENNTPPOSTHOST

/*
 * When posting a message, forcibly add an NNTP-Posting-Date:
 * header
 */

#undef	POST_NNTP_POSTING_DATE

/*
 * When posting a message, encrypt the X-Trace line with DES.  Again,
 * highly recommended.
 */

#undef	POST_CRYPTXTRACE

/*
 * Enable RADIUS authentication.  Works on FreeBSD or similar libradius.
 */

#undef	RADIUS_ENABLED

/*
 * Enable CDB authentication. Needs the CDB libraries installed.
 * Available from: http://cr.yp.to/cdb.html
 *
 * You also need to add the following to the LFLAGS line in XMakefile.inc
 *  -L$(BD)cdb -lcdb
 */

#undef	CDB_ENABLED

/*
 * Enable NetRemote authentication.  Works on FreeBSD, requires DES.
 */

#undef	NETREMOTE_ENABLED

/*
 * Enable LDAP authentication.  Requires LDAP libraries and -lldap to
 * be add to LFLAGS in XMakefile.inc
 */

#undef	LDAP_ENABLED

/*
 * Enable a local C filter for outbound posts.  This filter allows you to
 * return a char * string, which would be an error to be handed back to the
 * user, or a NULL, which means that the article passes.
 *
 * Supplying a char *PostCFilter(char *base, int artLen, Connection *conn)
 * filter function is left as an exercise for the news admin.
 */

#undef	POST_CFILTERHOOK

/*
 * Experimental spool compression. This option requires zlib (-lz added
 * to LFLAGS in XMakefile.inc) and if set, enables an option 'compresslvl'
 * in dspool.ctl that allows you to set a spool object as compressed. All
 * article files written to this spool object are compressed, with multiple
 * articles per file as normal. The only utility that doesn't currently
 * work with compressed spools in the diloadfromspool disaster recovery
 * tool. Example entry in diablo.config:
 *	compresslvl	5
 */
#undef	USE_ZLIB
